class CLASS(Unit_I_Contractor_RGR): CLASS(Unit_Combat_RS_PMC_RGR) {
    scope = 2;
    scopeCurator = 2;
    faction = QCLASS(I_Contractors);
    editorCategory = QCLASS(Loki);
    editorSubcategory = QUOTE(EdSubcat_Personnel);
    displayName = "Contractor (Ranger Green, No Equipment)";

    class EventHandlers: EventHandlers {
        init = "(_this select 0) setVariable [""BIS_enableRandomization"", false];";
    };
};

class CLASS(Unit_I_Contractor_TN): CLASS(Unit_Combat_RS_PMC_TN) {
    scope = 2;
    scopeCurator = 2;
    faction = QCLASS(I_Contractors);
    editorCategory = QCLASS(Loki);
    editorSubcategory = QUOTE(EdSubcat_Personnel);
    displayName = "Contractor (Tan, No Equipment)";

    class EventHandlers: EventHandlers {
        init = "(_this select 0) setVariable [""BIS_enableRandomization"", false];";
    };
};

class CLASS(Unit_I_Contractor_BLK_TN): CLASS(Unit_Combat_RS_PMC_BLK_TN) {
    scope = 2;
    scopeCurator = 2;
    faction = QCLASS(I_Contractors);
    editorCategory = QCLASS(Loki);
    editorSubcategory = QUOTE(EdSubcat_Personnel);
    displayName = "Contractor (Black, Tan, No Equipment)";

    class EventHandlers: EventHandlers {
        init = "(_this select 0) setVariable [""BIS_enableRandomization"", false];";
    };
};

class CLASS(Unit_I_Contractor_RGR_TN): CLASS(Unit_Combat_RS_PMC_RGR_TN) {
    scope = 2;
    scopeCurator = 2;
    faction = QCLASS(I_Contractors);
    editorCategory = QCLASS(Loki);
    editorSubcategory = QUOTE(EdSubcat_Personnel);
    displayName = "Contractor (Ranger Green, Tan, No Equipment)";

    class EventHandlers: EventHandlers {
        init = "(_this select 0) setVariable [""BIS_enableRandomization"", false];";
    };
};

class CLASS(Unit_I_Contractor_BLK): CLASS(Unit_Combat_RS_PMC_BLK) {
    scope = 2;
    scopeCurator = 2;
    faction = QCLASS(I_Contractors);
    editorCategory = QCLASS(Loki);
    editorSubcategory = QUOTE(EdSubcat_Personnel);
    displayName = "Contractor (Black, No Equipment)";

    class EventHandlers: EventHandlers {
        init = "(_this select 0) setVariable [""BIS_enableRandomization"", false];";
    };
};